/*===---- nmmintrin.h - SSE4 intrinsics ------------------------------------===
 *
 * Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
 * See https://llvm.org/LICENSE.txt for license information.
 * SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
 *
 *===-----------------------------------------------------------------------===
 */

#ifdef __LLVM_LCCRT_INTRIN_nmmintrin_h__

#include __LLVM_LCCRT_INTRIN_nmmintrin_h__

#else /* !__LLVM_LCCRT_INTRIN_nmmintrin_h__ */

#ifndef __NMMINTRIN_H
#define __NMMINTRIN_H

/* To match expectations of gcc we put the sse4.2 definitions into smmintrin.h,
   just include it now then.  */
#include <smmintrin.h>
#endif /* __NMMINTRIN_H */

#endif /* __LLVM_LCCRT_INTRIN_nmmintrin_h__ */
